View Issue Details

IDProjectCategoryView StatusLast Update
0000852GT-MP ServerAPIpublic2018-01-07 12:07
ReporterKrotterAssigned ToDurtyFree 
PriorityhighSeverityblockReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version0.1.7 
Summary0000852: getPlayersInRadiusOfPlayer throws a NullReferenceException when some players are connecting/downloading
DescriptionSometimes, when players are still connecting/downloading, the server throws a System.NullReferenceException exception when using getPlayersInRadiusOfPlayer.
TagsNo tags attached.

Activities

Krotter

2018-01-05 18:12

reporter  

log.txt (1,153 bytes)
2017-12-29 16:30:21.7294 | Error | ScriptingEngine | EXCEPTION IN RESOURCE test INSIDE SCRIPTENGINE Base System.NullReferenceException: Az objektumhivatkozás nincs beállítva semmilyen objektumpéldányra.
   a következő helyen: GrandTheftMultiplayer.Server.API.ServerAPI.<>c__DisplayClass241_0.<getPlayersInRadiusOfPosition>b__0(Client player)
   a következő helyen: System.Linq.Enumerable.WhereListIterator`1.MoveNext()
   a következő helyen: System.Collections.Generic.List`1..ctor(IEnumerable`1 collection)
   a következő helyen: System.Linq.Enumerable.ToList[TSource](IEnumerable`1 source)
   a következő helyen: Gamemode.Base.meCommand(Client sender, String text)   <<<<<<<<<<<<<<<<<<<<<<   I used getPlayersInRadiusOfPlayer here
   a következő helyen: Gamemode.Base.startVehicleMotor(Client sender)
   a következő helyen: Gamemode.Base.OnClientEvent(Client client, String eventName, Object[] arguments)
   a következő helyen: GrandTheftMultiplayer.Server.Models.ScriptingEngine.<>c__DisplayClass58_0.<InvokeClientEvent>b__0()
   a következő helyen: GrandTheftMultiplayer.Server.Models.ScriptingEngine.MainThreadLoop()
log.txt (1,153 bytes)

DurtyFree

2018-01-07 12:00

administrator   ~0001270

Should be fixed with the latest update

Issue History

Date Modified Username Field Change
2018-01-05 18:12 Krotter New Issue
2018-01-05 18:12 Krotter File Added: log.txt
2018-01-07 12:00 DurtyFree Assigned To => DurtyFree
2018-01-07 12:00 DurtyFree Status new => resolved
2018-01-07 12:00 DurtyFree Resolution open => fixed
2018-01-07 12:00 DurtyFree Note Added: 0001270
2018-01-07 12:07 DurtyFree Fixed in Version => 0.1.7